#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>

#define BUFFSIZE 4095

int main(int argc, char ** argv)
{
	int fd, n, i, line_n, number;
	char buff[BUFFSIZE], line[5];
	int used[100] = {0};

	if (argc != 2)
	{
		printf("usage: zad1 filename\n");
		exit(EXIT_FAILURE);
	}

	fd = open(argv[1], O_RDONLY);
	if (fd == -1)
	{
		perror(argv[1]);
		exit(EXIT_FAILURE);
	}
	
	while((n = read(fd, buff, BUFFSIZE)) > 0)
	{
		for(i=0,line_n=0; i < n; i++)
		{
			if(buff[i] == '\n')
			{
				line[line_n] = '\0';
				line_n = 0;
				
				sscanf(line, "%d", &number);
				
				if (used[number] == 0)
				{
					printf("%d\n", number);
					used[number] = 1;
				}
			}
			else
			{
				line[line_n++] = buff[i];
			}
		}
	}
	
	exit(EXIT_SUCCESS);
}
